Subject: bug#10561: stat unclear about size on disk and type of blocks discussed

From: Pádraig Brady <[email-masked]>
Date: Sat, 21 Jan 2012 00:48:39 +0000

On 01/21/2012 12:26 AM, Paul Eggert wrote:
> On 01/20/2012 06:15 AM, Pádraig Brady wrote:
>> I'll go with "optimal I/O transfer size hint",
> 
> There's no guarantee that it's optimal,
> and I/O is always transfer, so how about
> something like "I/O buffer size hint" instead?

Well I used optimal so that'sit's clear it's
a performance knob, and it correlates with
ioctl() and blockdev(1) params.

Also "buffer size" might be construed as
referring to an existing system buffer.

So I marginally prefer what's already committed.

cheers,
Pádraig.